"""
@author: luojunhui
"""
import asyncio


from .model_init import models


async def process_data(params):
    """
    执行结果
    :param params:
    :return:
    """
    print("正在处理")
    flag = params['version']
    if flag == "v1":
        model = models.model_v1
    elif flag == "v2":
        model = models.model_v2
    else:
        return
    features = params['features']
    prediction = model.predict([features])
    print("处理完成")
    return {'prediction': prediction.tolist()}




