"""
@author: luojunhui
"""
import json
import asyncio
import lightgbm as lgb


class Models(object):
    """
    LightGBM Models
    """

    def __init__(self):
        """
        在项目启动的时候加载好所有的模型
        :return:
        """
        print("正在加载模型")
        self.model_v1 = lgb.Booster(model_file="/root/lightgbm_score/models/lightgbm_0409_all_tags.bin")
        print("模型 1 加载完成......")
        self.model_v2 = lgb.Booster(model_file="/root/lightgbm_score/models/lightgbm_0409_spider.bin")
        print("模型 2 加载完成......")
        print("所有模型加载完成")


models = Models()
